cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Turner <j...@socialchange.net.au>
Subject Re: Tomcat 4.0 + Cocoon2 rc1 on RedHat 6.2
Date Mon, 24 Sep 2001 23:25:15 GMT
Other than the obvious "try a different JDK" advice, you might try
looking carefully at what jars you have installed. Tomcat 4.0 comes with
a lot of miscellaneous crud in common/lib.

Eg, I found that Cocoon 1.8 would cause this sort of VM crash if I used
an earlier version of xalan.jar than the one bundled with Cocoon. I
ended up switching to Saxon. Also when installing Cocoon on JRun 3.x, I
found I had to remove JRun's lib/ext/activation.jar, or things would
crash like this.

--Jeff

On Mon, Sep 24, 2001 at 05:05:08PM -0600, Lajos Moczar wrote:
> Hi all:
> 
> I tried this install today, using JDK 1.2.2_006. The Tomcat code is the 
> 4.0 release version and Cocoon2 is the version announced this morning. 
> When I access http://localhost:8080/cocoon, Tomcat core dumps with stuff 
> like this (in catalina.out):
> 
> *******
> 
> SIGSEGV   11*  segmentation violation
>     si_signo [11]: SIGSEGV   11*  segmentation violation
>     si_errno [0]: Success
>     si_code [0]: SI_USER [pid: 0, uid: 0]
>         stackpointer=0x44884e28
[..]
> 
> Lajos Moczar
> galatea.com

---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>


Mime
View raw message